package com.ruoyi.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 财务导出vo
 * @Author liqinglong
 * @DateTime 2021-06-17 17:27
 * @Version 1.0
 */
public class FinanceExportVo {
    /** 姓名 */
    @Excel(name = "姓名")
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /** 性别 */
    @Excel(name = "性别",readConverterExp = "0=男,1=女,2=未知",combo = {"男","女","未知"})
    @ApiModelProperty(value = "性别")
    private String sex;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    @ApiModelProperty(value = "身份证号码")
    private String idCardNumber;

    /** 联系电话 */
    @Excel(name = "联系电话")
    @ApiModelProperty(value = "联系电话")
    private String phone;

    /** 报读专业 */
    @Excel(name = "报读专业")
    @ApiModelProperty(value = "报读专业")
    private String professionName;

    //@Excel(name = "学号")
    @ApiModelProperty(value = "学号")
    private String studentNumber;

    /** 实际报到日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际报到日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "实际报到日期")
    private Date registerDate;


    /** 正式入学日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "正式入学日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "正式入学日期")
    private Date enrollmentDate;

    /** 应收住宿费 */
    @Excel(name = "应收杂费")
    @ApiModelProperty(value = "校服费")
    private BigDecimal receivableIncidentals;

    /** 缴费日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "缴费日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "缴费日期")
    private Date paymentDate;

    @Excel(name = "缴费方式",dictType="stu_payment_method",combo={"微信","支付宝","现金","银行转账","信用卡","支票","其它"},readConverterExp="0=微信,1=支付宝,2=现金,3=银行转账,4=信用卡,5=支票,6=其它")
    @ApiModelProperty(value = "缴费方式")
    private String paymentMethod;

    /** 实收住宿费 */
    @Excel(name = "实收杂费")
    @ApiModelProperty(value = "实收杂费")
    private BigDecimal officialIncidentals;

    /** 杂费票据号 */
    @Excel(name = "杂费票据号")
    @ApiModelProperty(value = "杂费票据号")
    private String incidentalsBillNo;

    /** 实收住宿费 */
    @Excel(name = "实收住宿费")
    @ApiModelProperty(value = "实收住宿费")
    private BigDecimal officialQuarterage;

    @ApiModelProperty(value = "实收费总计")
    private BigDecimal officialTotal;

    /** 住宿费票据号 */
    @Excel(name = "住宿费票据号")
    @ApiModelProperty(value = "住宿费票据号")
    private String quarterageBillNo;

    /** 登记收费人员 */
    @Excel(name = "登记收费人员")
    @ApiModelProperty(value = "登记收费人员")
    private String chargerName;

    /** 开票员 */
    @Excel(name = "开票员")
    @ApiModelProperty(value = "开票员")
    private String drawer;

    /** 是否建档立卡贫困户 */
    @Excel(name = "是否建档立卡贫困户",readConverterExp="0=否,1=是")
    @ApiModelProperty(value = "是否建档立卡贫困户0否，1是")
    private Long poorHouseholdsIs;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getIdCardNumber() {
        return idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getProfessionName() {
        return professionName;
    }

    public void setProfessionName(String professionName) {
        this.professionName = professionName;
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber;
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    public Date getEnrollmentDate() {
        return enrollmentDate;
    }

    public void setEnrollmentDate(Date enrollmentDate) {
        this.enrollmentDate = enrollmentDate;
    }

    public BigDecimal getReceivableIncidentals() {
        return receivableIncidentals;
    }

    public void setReceivableIncidentals(BigDecimal receivableIncidentals) {
        this.receivableIncidentals = receivableIncidentals;
    }

    public Date getPaymentDate() {
        return paymentDate;
    }

    public void setPaymentDate(Date paymentDate) {
        this.paymentDate = paymentDate;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public BigDecimal getOfficialIncidentals() {
        return officialIncidentals;
    }

    public void setOfficialIncidentals(BigDecimal officialIncidentals) {
        this.officialIncidentals = officialIncidentals;
    }

    public String getIncidentalsBillNo() {
        return incidentalsBillNo;
    }

    public void setIncidentalsBillNo(String incidentalsBillNo) {
        this.incidentalsBillNo = incidentalsBillNo;
    }

    public BigDecimal getOfficialQuarterage() {
        return officialQuarterage;
    }

    public void setOfficialQuarterage(BigDecimal officialQuarterage) {
        this.officialQuarterage = officialQuarterage;
    }

    public BigDecimal getOfficialTotal() {
        return officialTotal;
    }

    public void setOfficialTotal(BigDecimal officialTotal) {
        this.officialTotal = officialTotal;
    }

    public String getQuarterageBillNo() {
        return quarterageBillNo;
    }

    public void setQuarterageBillNo(String quarterageBillNo) {
        this.quarterageBillNo = quarterageBillNo;
    }

    public String getChargerName() {
        return chargerName;
    }

    public void setChargerName(String chargerName) {
        this.chargerName = chargerName;
    }

    public String getDrawer() {
        return drawer;
    }

    public void setDrawer(String drawer) {
        this.drawer = drawer;
    }

    public Long getPoorHouseholdsIs() {
        return poorHouseholdsIs;
    }

    public void setPoorHouseholdsIs(Long poorHouseholdsIs) {
        this.poorHouseholdsIs = poorHouseholdsIs;
    }
}
