package com.ruoyi.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * combo属性和prompt属性不能同时用
 * dictType和readConverterExp设置的效果是一样的
 */

public class PaymentInfoVo{
    /** 姓名 */
    @Excel(name = "姓名")
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    @ApiModelProperty(value = "身份证号码")
    private String idCardNumber;

    /** 缴费日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "缴费日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "缴费日期")
    private Date paymentDate;

    @Excel(name = "缴费方式",dictType="stu_payment_method")
    @ApiModelProperty(value = "缴费方式")
    private String paymentMethod;

    /** 实收住宿费 */
    @Excel(name = "实收杂费")
    @ApiModelProperty(value = "实收杂费")
    private BigDecimal officialIncidentals;

    /** 杂费票据号 */
    @Excel(name = "杂费票据号")
    @ApiModelProperty(value = "杂费票据号")
    private String incidentalsBillNo;

    /** 实收住宿费 */
    @Excel(name = "实收住宿费")
    @ApiModelProperty(value = "实收住宿费")
    private BigDecimal officialQuarterage;

    /** 住宿费票据号 */
    @Excel(name = "住宿费票据号")
    @ApiModelProperty(value = "住宿费票据号")
    private String quarterageBillNo;

    @Excel(name = "实收费总计")
    @ApiModelProperty(value = "实收费总计")
    private BigDecimal officialTotal;

    /** 登记收费人员 */
    @Excel(name = "登记收费人员")
    @ApiModelProperty(value = "登记收费人员")
    private String chargerName;

    /** 开票员 */
    @Excel(name = "开票员")
    @ApiModelProperty(value = "开票员")
    private String drawer;

    /** 联系老师 */
    @Excel(name = "联系老师")
    @ApiModelProperty(value = "联系老师")
    private String contactTeacher;



    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdCardNumber() {
        return idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public Date getPaymentDate() {
        return paymentDate;
    }

    public void setPaymentDate(Date paymentDate) {
        this.paymentDate = paymentDate;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public BigDecimal getOfficialIncidentals() {
        return officialIncidentals;
    }

    public void setOfficialIncidentals(BigDecimal officialIncidentals) {
        this.officialIncidentals = officialIncidentals;
    }

    public String getIncidentalsBillNo() {
        return incidentalsBillNo;
    }

    public void setIncidentalsBillNo(String incidentalsBillNo) {
        this.incidentalsBillNo = incidentalsBillNo;
    }

    public BigDecimal getOfficialQuarterage() {
        return officialQuarterage;
    }

    public void setOfficialQuarterage(BigDecimal officialQuarterage) {
        this.officialQuarterage = officialQuarterage;
    }

    public String getQuarterageBillNo() {
        return quarterageBillNo;
    }

    public void setQuarterageBillNo(String quarterageBillNo) {
        this.quarterageBillNo = quarterageBillNo;
    }

    public BigDecimal getOfficialTotal() {
        return officialTotal;
    }

    public void setOfficialTotal(BigDecimal officialTotal) {
        this.officialTotal = officialTotal;
    }

    public String getChargerName() {
        return chargerName;
    }

    public void setChargerName(String chargerName) {
        this.chargerName = chargerName;
    }

    public String getDrawer() {
        return drawer;
    }

    public void setDrawer(String drawer) {
        this.drawer = drawer;
    }

    public String getContactTeacher() {
        return contactTeacher;
    }

    public void setContactTeacher(String contactTeacher) {
        this.contactTeacher = contactTeacher;
    }

}
