package com.ruoyi.system.domain.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 新生报到登记vo
 */
public class RegisterInfoVo {
    /** 姓名 */
    @Excel(name = "姓名")
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    @ApiModelProperty(value = "身份证号码")
    private String idCardNumber;


    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "应报到日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "应报到日期")
    private Date shouldRegisterDate;

    /** 正式入学日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "正式入学日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "正式入学日期")
    private Date enrollmentDate;

    @Excel(name = "学号")
    @ApiModelProperty(value = "学号")
    private String studentNumber;

    /** 应收住宿费 */
    @Excel(name = "校服费")
    @ApiModelProperty(value = "校服费")
    private BigDecimal receivableIncidentals;

    /** 是否建档立卡贫困户 */
    @Excel(name = "是否建档立卡贫困户",combo={"是","否"},readConverterExp="0=否,1=是")
    @ApiModelProperty(value = "是否建档立卡贫困户0否，1是")
    private Long poorHouseholdsIs;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdCardNumber() {
        return idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }


    public Date getShouldRegisterDate() {
        return shouldRegisterDate;
    }

    public void setShouldRegisterDate(Date shouldRegisterDate) {
        this.shouldRegisterDate = shouldRegisterDate;
    }

    public Date getEnrollmentDate() {
        return enrollmentDate;
    }

    public void setEnrollmentDate(Date enrollmentDate) {
        this.enrollmentDate = enrollmentDate;
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber;
    }

    public BigDecimal getReceivableIncidentals() {
        return receivableIncidentals;
    }

    public void setReceivableIncidentals(BigDecimal receivableIncidentals) {
        this.receivableIncidentals = receivableIncidentals;
    }

    public Long getPoorHouseholdsIs() {
        return poorHouseholdsIs;
    }

    public void setPoorHouseholdsIs(Long poorHouseholdsIs) {
        this.poorHouseholdsIs = poorHouseholdsIs;
    }

}
