package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 学生管理vo
 * @Author liqinglong
 * @DateTime 2021-06-17 16:54
 * @Version 1.0
 */
public class StudentManagerVo {
    /** 姓名 */
    @Excel(name = "姓名")
    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    @ApiModelProperty(value = "身份证号码")
    private String idCardNumber;

    @Excel(name = "班级名称",combo={"2021年电子商务1班"})
    @ApiModelProperty(value = "班级名称")
    private String className;

    @ApiModelProperty(value = "年级id")
    private Long classId;

    @Excel(name = "寝室名",combo={"404", "405","406"})
    @ApiModelProperty(value = "寝室名")
    private String roomName;

    @ApiModelProperty(value = "寝室id")
    private Long roomId;

    /** 保险购买状态 */
    @Excel(name = "保险购买状态",combo={"是","否"},readConverterExp="0=否,1=是")
    @ApiModelProperty(value = "保险购买状态")
    private Long insuranceIsBuy;

    /** 校服分发状态 */
    @Excel(name = "校服分发状态",combo={"是","否"},readConverterExp="0=否,1=是")
    @ApiModelProperty(value = "校服分发状态")
    private Long uniformIsHandOut;

    /** 课本分发状态 */
    @Excel(name = "课本分发状态",combo={"是","否"},readConverterExp="0=否,1=是")
    @ApiModelProperty(value = "课本分发状态")
    private Long textbookIsHandOut;


    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdCardNumber() {
        return idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Long getInsuranceIsBuy() {
        return insuranceIsBuy;
    }

    public void setInsuranceIsBuy(Long insuranceIsBuy) {
        this.insuranceIsBuy = insuranceIsBuy;
    }

    public Long getUniformIsHandOut() {
        return uniformIsHandOut;
    }

    public void setUniformIsHandOut(Long uniformIsHandOut) {
        this.uniformIsHandOut = uniformIsHandOut;
    }

    public Long getTextbookIsHandOut() {
        return textbookIsHandOut;
    }

    public void setTextbookIsHandOut(Long textbookIsHandOut) {
        this.textbookIsHandOut = textbookIsHandOut;
    }
}
