package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.StuBookApply;
import com.ruoyi.system.domain.param.ApplyListParam;
import com.ruoyi.system.domain.vo.ApplyListVo;

/**
 * 教材申请Mapper接口
 * 
 * @author liql
 * @date 2021-09-27
 */
public interface StuBookApplyMapper 
{
    /**
     * 查询教材申请
     * 
     * @param id 教材申请ID
     * @return 教材申请
     */
    public StuBookApply selectStuBookApplyById(Long id);

    /**
     * 查询教材申请列表
     * 
     * @param param 教材申请
     * @return 教材申请集合
     */
    public List<ApplyListVo> selectStuBookApplyList(ApplyListParam param);

    /**
     * 新增教材申请
     * 
     * @param stuBookApply 教材申请
     * @return 结果
     */
    public int insertStuBookApply(StuBookApply stuBookApply);

    /**
     * 修改教材申请
     * 
     * @param stuBookApply 教材申请
     * @return 结果
     */
    public int updateStuBookApply(StuBookApply stuBookApply);

    /**
     * 删除教材申请
     * 
     * @param id 教材申请ID
     * @return 结果
     */
    public int deleteStuBookApplyById(Long id);

    /**
     * 批量删除教材申请
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStuBookApplyByIds(Long[] ids);
}
