package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.StuClassBookConfig;
import com.ruoyi.system.domain.param.ClassBookConfigParam;
import com.ruoyi.system.domain.vo.BookConfigVo;
import org.apache.ibatis.annotations.Param;

/**
 * 教材配置Mapper接口
 * 
 * @author liql
 * @date 2021-09-27
 */
public interface StuClassBookConfigMapper 
{
    /**
     * 查询教材配置
     * 
     * @param classId 教材配置ID
     * @return 教材配置
     */
    public StuClassBookConfig selectStuClassBookConfigById(Long classId);

    /**
     * 查询教材配置列表
     * 
     * @param classId 教材配置
     * @return 教材配置集合
     */
    public List<BookConfigVo> selectClassBookConfigListByClassId(@Param("classId") Long classId);

    /**
     * 新增教材配置
     * 
     * @param stuClassBookConfig 教材配置
     * @return 结果
     */
    public int insertStuClassBookConfig(StuClassBookConfig stuClassBookConfig);

    /**
     * 修改教材配置
     * 
     * @param stuClassBookConfig 教材配置
     * @return 结果
     */
    public int updateStuClassBookConfig(StuClassBookConfig stuClassBookConfig);

    /**
     * 删除教材配置
     * 
     * @param param 教材id和班级id
     * @return 结果
     */
    public int deleteStuClassBookConfigByParam(ClassBookConfigParam param);

    /**
     * 批量删除教材配置
     * 
     * @param params 需要删除的数据ID
     * @return 结果
     */
    public int deleteStuClassBookConfigByParams(ClassBookConfigParam[] params);

    /**
     * @Description 查询配置是否存在
     * @param classBookConfig
     * @return com.ruoyi.system.domain.StuClassBookConfig
     */
    public StuClassBookConfig selectClassBookConfigByClassIdAndBookId(StuClassBookConfig classBookConfig);
}
