package com.ruoyi.system.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.StuDepartment;
import org.apache.ibatis.annotations.Param;

/**
 * 科系Mapper接口
 *
 * @author liql
 * @date 2021-03-23
 */
public interface StuDepartmentMapper
{
    /**
     * 查询科系
     *
     * @param id 科系ID
     * @return 科系
     */
    public StuDepartment selectStuDepartmentById(Long id);

    /**
     * 查询科系列表
     *
     * @param stuDepartment 科系
     * @return 科系集合
     */
    public List<StuDepartment> selectStuDepartmentList(StuDepartment stuDepartment);

    /**
     * 新增科系
     *
     * @param stuDepartment 科系
     * @return 结果
     */
    public int insertStuDepartment(StuDepartment stuDepartment);

    /**
     * 修改科系
     *
     * @param stuDepartment 科系
     * @return 结果
     */
    public int updateStuDepartment(StuDepartment stuDepartment);

    /**
     * 删除科系
     *
     * @param id 科系ID
     * @return 结果
     */
    public int deleteStuDepartmentById(Long id);

    /**
     * 批量删除科系
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStuDepartmentByIds(Long[] ids);

    /**
     * 根据学院id查询科系列表
     * @param collegeId
     * @return
     */
    public List<Map<String,Object>> queryList(@Param("collegeId") Long collegeId);
}
