package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.StuOutSchoolApply;
import com.ruoyi.system.domain.param.ApplyListParam;
import com.ruoyi.system.domain.vo.ApplyListVo;

/**
 * 失学申请Mapper接口
 * 
 * @author liql
 * @date 2021-09-27
 */
public interface StuOutSchoolApplyMapper 
{
    /**
     * 查询失学申请
     * 
     * @param id 失学申请ID
     * @return 失学申请
     */
    public StuOutSchoolApply selectStuOutSchoolApplyById(Long id);

    /**
     * 查询失学申请列表
     * 
     * @param param 失学申请
     * @return 失学申请集合
     */
    public List<ApplyListVo> selectStuOutSchoolApplyList(ApplyListParam param);

    /**
     * 新增失学申请
     * 
     * @param stuOutSchoolApply 失学申请
     * @return 结果
     */
    public int insertStuOutSchoolApply(StuOutSchoolApply stuOutSchoolApply);

    /**
     * 修改失学申请
     * 
     * @param stuOutSchoolApply 失学申请
     * @return 结果
     */
    public int updateStuOutSchoolApply(StuOutSchoolApply stuOutSchoolApply);

    /**
     * 删除失学申请
     * 
     * @param id 失学申请ID
     * @return 结果
     */
    public int deleteStuOutSchoolApplyById(Long id);

    /**
     * 批量删除失学申请
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStuOutSchoolApplyByIds(Long[] ids);
}
