package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.StuRoom;
import org.apache.ibatis.annotations.Param;

/**
 * 寝室Mapper接口
 * 
 * @author liql
 * @date 2021-06-17
 */
public interface StuRoomMapper 
{
    /**
     * 查询寝室
     * 
     * @param id 寝室ID
     * @return 寝室
     */
    public StuRoom selectStuRoomById(Long id);

    /**
     * 查询寝室列表
     * 
     * @param stuRoom 寝室
     * @return 寝室集合
     */
    public List<StuRoom> selectStuRoomList(StuRoom stuRoom);

    /**
     * 新增寝室
     * 
     * @param stuRoom 寝室
     * @return 结果
     */
    public int insertStuRoom(StuRoom stuRoom);

    /**
     * 修改寝室
     * 
     * @param stuRoom 寝室
     * @return 结果
     */
    public int updateStuRoom(StuRoom stuRoom);

    /**
     * 删除寝室
     * 
     * @param id 寝室ID
     * @return 结果
     */
    public int deleteStuRoomById(Long id);

    /**
     * 批量删除寝室
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStuRoomByIds(Long[] ids);

    /**
     * @Description 根据寝室名查询寝室
     * @param roomName
     * @return int
     */
    public StuRoom queryRoomByName(@Param("roomName") String roomName);

    /**
     * @Description 根据楼宇id查询寝室列表
     * @param buildingId
     * @return java.util.List<com.ruoyi.system.domain.StuRoom>
     */
    public List<StuRoom> queryRoomByBuildingId(@Param("buildingId") Long buildingId,@Param("roomType") Integer roomType);
}
