package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.StuTextBook;
import com.ruoyi.system.domain.vo.BookConfigVo;
import org.apache.ibatis.annotations.Param;

/**
 * 教材Mapper接口
 * 
 * @author liql
 * @date 2021-09-27
 */
public interface StuTextBookMapper 
{
    /**
     * 查询教材
     * 
     * @param id 教材ID
     * @return 教材
     */
    public StuTextBook selectStuTextBookById(String id);

    /**
     * 查询教材列表
     * 
     * @param stuTextBook 教材
     * @return 教材集合
     */
    public List<StuTextBook> selectStuTextBookList(StuTextBook stuTextBook);

    /**
     * 新增教材
     * 
     * @param stuTextBook 教材
     * @return 结果
     */
    public int insertStuTextBook(StuTextBook stuTextBook);

    /**
     * 修改教材
     * 
     * @param stuTextBook 教材
     * @return 结果
     */
    public int updateStuTextBook(StuTextBook stuTextBook);

    /**
     * 删除教材
     * 
     * @param id 教材ID
     * @return 结果
     */
    public int deleteStuTextBookById(String id);

    /**
     * 批量删除教材
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteStuTextBookByIds(String[] ids);

    /**
     * @Description 教材列表
     * @return java.util.List<com.ruoyi.system.domain.vo.BookConfigVo>
     */
    List<BookConfigVo> selectClassBookList();

    /**
     * @Description 根据班级id查询教材
     * @param classId 班级id
     * @return java.util.List<com.ruoyi.system.domain.StuTextBook>
     */
    public List<StuTextBook> selectTextBookByClassId(@Param("classId") Long classId);

}
