package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.StuBaseInfo;
import com.ruoyi.system.domain.StuBuilding;

/**
 * 楼宇Service接口
 * 
 * @author liql
 * @date 2021-06-17
 */
public interface IStuBuildingService 
{
    /**
     * 查询楼宇
     * 
     * @param id 楼宇ID
     * @return 楼宇
     */
    public StuBuilding selectStuBuildingById(Long id);

    /**
     * 查询楼宇列表
     * 
     * @param stuBuilding 楼宇
     * @return 楼宇集合
     */
    public List<StuBuilding> selectStuBuildingList(StuBuilding stuBuilding);

    /**
     * 新增楼宇
     * 
     * @param stuBuilding 楼宇
     * @return 结果
     */
    public int insertStuBuilding(StuBuilding stuBuilding);

    /**
     * 修改楼宇
     * 
     * @param stuBuilding 楼宇
     * @return 结果
     */
    public int updateStuBuilding(StuBuilding stuBuilding);

    /**
     * 批量删除楼宇
     * 
     * @param ids 需要删除的楼宇ID
     * @return 结果
     */
    public int deleteStuBuildingByIds(Long[] ids);

    /**
     * 删除楼宇信息
     * 
     * @param id 楼宇ID
     * @return 结果
     */
    public int deleteStuBuildingById(Long id);

}
