package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.StuClassBookConfig;
import com.ruoyi.system.domain.param.ClassBookConfigParam;
import com.ruoyi.system.domain.vo.BookConfigVo;
import org.apache.ibatis.annotations.Param;

/**
 * 教材配置Service接口
 * 
 * @author liql
 * @date 2021-09-27
 */
public interface IStuClassBookConfigService 
{
    /**
     * 查询教材配置
     * 
     * @param classId 教材配置ID
     * @return 教材配置
     */
    public StuClassBookConfig selectStuClassBookConfigById(Long classId);

    /**
     * 查询教材配置列表
     * 
     * @param classId 教材配置
     * @return 教材配置集合
     */
    public List<BookConfigVo> selectClassBookConfigListByClassId(Long classId);

    /**
     * 新增教材配置
     * 
     * @param stuClassBookConfig 教材配置
     * @return 结果
     */
    public int insertStuClassBookConfig(StuClassBookConfig stuClassBookConfig);

    /**
     * 修改教材配置
     * 
     * @param stuClassBookConfig 教材配置
     * @return 结果
     */
    public int updateStuClassBookConfig(StuClassBookConfig stuClassBookConfig);

    /**
     * 批量删除教材配置
     * 
     * @param params 需要删除的教材配置ID
     * @return 结果
     */
    public int deleteStuClassBookConfigByParams(ClassBookConfigParam[] params);

    /**
     * 删除教材配置信息
     * 
     * @param param 教材配置ID
     * @return 结果
     */
    public int deleteStuClassBookConfigByParam(ClassBookConfigParam param);
}
