package com.ruoyi.system.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.StuClass;
import org.apache.ibatis.annotations.Param;

/**
 * 班级Service接口
 *
 * @author liql
 * @date 2021-03-23
 */
public interface IStuClassService
{
    /**
     * 查询班级
     *
     * @param id 班级ID
     * @return 班级
     */
    public StuClass selectStuClassById(Long id);

    /**
     * 查询班级列表
     *
     * @param stuClass 班级
     * @return 班级集合
     */
    public List<StuClass> selectStuClassList(StuClass stuClass);

    /**
     * 新增班级
     *
     * @param stuClass 班级
     * @return 结果
     */
    public int insertStuClass(StuClass stuClass);

    /**
     * 修改班级
     *
     * @param stuClass 班级
     * @return 结果
     */
    public int updateStuClass(StuClass stuClass);

    /**
     * 批量删除班级
     *
     * @param ids 需要删除的班级ID
     * @return 结果
     */
    public int deleteStuClassByIds(Long[] ids);

    /**
     * 删除班级信息
     *
     * @param id 班级ID
     * @return 结果
     */
    public int deleteStuClassById(Long id);

    /**
     * 根据专业id查询班级列表
     * @param professionId
     * @return
     */
    public List<Map<String,Object>> queryList(Long professionId);

    /**
     * @Description 根据班级名查询班级
     * @param className
     * @return com.ruoyi.system.domain.StuClass
     */
    public StuClass queryClassByName(String className);
}
