package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.StuCollege;

/**
 * 学院Service接口
 * 
 * @author liql
 * @date 2021-03-23
 */
public interface IStuCollegeService 
{
    /**
     * 查询学院
     * 
     * @param id 学院ID
     * @return 学院
     */
    public StuCollege selectStuCollegeById(Long id);

    /**
     * 查询学院列表
     * 
     * @param stuCollege 学院
     * @return 学院集合
     */
    public List<StuCollege> selectStuCollegeList(StuCollege stuCollege);

    /**
     * 新增学院
     * 
     * @param stuCollege 学院
     * @return 结果
     */
    public int insertStuCollege(StuCollege stuCollege);

    /**
     * 修改学院
     * 
     * @param stuCollege 学院
     * @return 结果
     */
    public int updateStuCollege(StuCollege stuCollege);

    /**
     * 批量删除学院
     * 
     * @param ids 需要删除的学院ID
     * @return 结果
     */
    public int deleteStuCollegeByIds(Long[] ids);

    /**
     * 删除学院信息
     * 
     * @param id 学院ID
     * @return 结果
     */
    public int deleteStuCollegeById(Long id);
}
