package com.ruoyi.system.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.StuProfession;

/**
 * 专业Service接口
 *
 * @author liql
 * @date 2021-03-23
 */
public interface IStuProfessionService
{
    /**
     * 查询专业
     *
     * @param id 专业ID
     * @return 专业
     */
    public StuProfession selectStuProfessionById(Long id);

    /**
     * 查询专业列表
     *
     * @param stuProfession 专业
     * @return 专业集合
     */
    public List<StuProfession> selectStuProfessionList(StuProfession stuProfession);

    /**
     * 新增专业
     *
     * @param stuProfession 专业
     * @return 结果
     */
    public int insertStuProfession(StuProfession stuProfession);

    /**
     * 修改专业
     *
     * @param stuProfession 专业
     * @return 结果
     */
    public int updateStuProfession(StuProfession stuProfession);

    /**
     * 批量删除专业
     *
     * @param ids 需要删除的专业ID
     * @return 结果
     */
    public int deleteStuProfessionByIds(Long[] ids);

    /**
     * 删除专业信息
     *
     * @param id 专业ID
     * @return 结果
     */
    public int deleteStuProfessionById(Long id);

    /**
     * 根据科系id查询班级列表
     * @return
     */
    public List<Map<String,Object>> queryList();
}
