package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.StuQuitSchoolApply;
import com.ruoyi.system.domain.param.ApplyListParam;
import com.ruoyi.system.domain.vo.ApplyListVo;

/**
 * 退学申请Service接口
 * 
 * @author liql
 * @date 2021-09-27
 */
public interface IStuQuitSchoolApplyService 
{
    /**
     * 查询退学申请
     * 
     * @param id 退学申请ID
     * @return 退学申请
     */
    public StuQuitSchoolApply selectStuQuitSchoolApplyById(Long id);

    /**
     * 查询退学申请列表
     * 
     * @param param 退学申请
     * @return 退学申请集合
     */
    public List<ApplyListVo> selectStuQuitSchoolApplyList(ApplyListParam param);

    /**
     * 新增退学申请
     * 
     * @param stuQuitSchoolApply 退学申请
     * @return 结果
     */
    public int insertStuQuitSchoolApply(StuQuitSchoolApply stuQuitSchoolApply);

    /**
     * 修改退学申请
     * 
     * @param stuQuitSchoolApply 退学申请
     * @return 结果
     */
    public int updateStuQuitSchoolApply(StuQuitSchoolApply stuQuitSchoolApply);

    /**
     * 批量删除退学申请
     * 
     * @param ids 需要删除的退学申请ID
     * @return 结果
     */
    public int deleteStuQuitSchoolApplyByIds(Long[] ids);

    /**
     * 删除退学申请信息
     * 
     * @param id 退学申请ID
     * @return 结果
     */
    public int deleteStuQuitSchoolApplyById(Long id);
}
