package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.common.exception.CustomException;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.system.domain.StuBaseInfo;
import com.ruoyi.system.domain.StuProfession;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.StuBuildingMapper;
import com.ruoyi.system.domain.StuBuilding;
import com.ruoyi.system.service.IStuBuildingService;

/**
 * 楼宇Service业务层处理
 * 
 * @author liql
 * @date 2021-06-17
 */
@Service
public class StuBuildingServiceImpl implements IStuBuildingService 
{
    @Autowired
    private StuBuildingMapper stuBuildingMapper;

    /**
     * 查询楼宇
     * 
     * @param id 楼宇ID
     * @return 楼宇
     */
    @Override
    public StuBuilding selectStuBuildingById(Long id)
    {
        return stuBuildingMapper.selectStuBuildingById(id);
    }

    /**
     * 查询楼宇列表
     * 
     * @param stuBuilding 楼宇
     * @return 楼宇
     */
    @Override
    public List<StuBuilding> selectStuBuildingList(StuBuilding stuBuilding)
    {
        return stuBuildingMapper.selectStuBuildingList(stuBuilding);
    }

    /**
     * 新增楼宇
     * 
     * @param stuBuilding 楼宇
     * @return 结果
     */
    @Override
    public int insertStuBuilding(StuBuilding stuBuilding)
    {
        stuBuilding.setCreateTime(DateUtils.getNowDate());
        return stuBuildingMapper.insertStuBuilding(stuBuilding);
    }

    /**
     * 修改楼宇
     * 
     * @param stuBuilding 楼宇
     * @return 结果
     */
    @Override
    public int updateStuBuilding(StuBuilding stuBuilding)
    {
        stuBuilding.setUpdateTime(DateUtils.getNowDate());
        return stuBuildingMapper.updateStuBuilding(stuBuilding);
    }

    /**
     * 批量删除楼宇
     * 
     * @param ids 需要删除的楼宇ID
     * @return 结果
     */
    @Override
    public int deleteStuBuildingByIds(Long[] ids)
    {
        return stuBuildingMapper.deleteStuBuildingByIds(ids);
    }

    /**
     * 删除楼宇信息
     * 
     * @param id 楼宇ID
     * @return 结果
     */
    @Override
    public int deleteStuBuildingById(Long id)
    {
        return stuBuildingMapper.deleteStuBuildingById(id);
    }

}
