package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.StuCollegeMapper;
import com.ruoyi.system.domain.StuCollege;
import com.ruoyi.system.service.IStuCollegeService;

/**
 * 学院Service业务层处理
 * 
 * @author liql
 * @date 2021-03-23
 */
@Service
public class StuCollegeServiceImpl implements IStuCollegeService 
{
    @Autowired
    private StuCollegeMapper stuCollegeMapper;

    /**
     * 查询学院
     * 
     * @param id 学院ID
     * @return 学院
     */
    @Override
    public StuCollege selectStuCollegeById(Long id)
    {
        return stuCollegeMapper.selectStuCollegeById(id);
    }

    /**
     * 查询学院列表
     * 
     * @param stuCollege 学院
     * @return 学院
     */
    @Override
    public List<StuCollege> selectStuCollegeList(StuCollege stuCollege)
    {
        return stuCollegeMapper.selectStuCollegeList(stuCollege);
    }

    /**
     * 新增学院
     * 
     * @param stuCollege 学院
     * @return 结果
     */
    @Override
    public int insertStuCollege(StuCollege stuCollege)
    {
        stuCollege.setCreateTime(DateUtils.getNowDate());
        return stuCollegeMapper.insertStuCollege(stuCollege);
    }

    /**
     * 修改学院
     * 
     * @param stuCollege 学院
     * @return 结果
     */
    @Override
    public int updateStuCollege(StuCollege stuCollege)
    {
        stuCollege.setUpdateTime(DateUtils.getNowDate());
        return stuCollegeMapper.updateStuCollege(stuCollege);
    }

    /**
     * 批量删除学院
     * 
     * @param ids 需要删除的学院ID
     * @return 结果
     */
    @Override
    public int deleteStuCollegeByIds(Long[] ids)
    {
        return stuCollegeMapper.deleteStuCollegeByIds(ids);
    }

    /**
     * 删除学院信息
     * 
     * @param id 学院ID
     * @return 结果
     */
    @Override
    public int deleteStuCollegeById(Long id)
    {
        return stuCollegeMapper.deleteStuCollegeById(id);
    }
}
