package com.ruoyi.system.service.impl;

import java.util.List;
import java.util.Map;

import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.StuProfessionMapper;
import com.ruoyi.system.domain.StuProfession;
import com.ruoyi.system.service.IStuProfessionService;

/**
 * 专业Service业务层处理
 *
 * @author liql
 * @date 2021-03-23
 */
@Service
public class StuProfessionServiceImpl implements IStuProfessionService
{
    @Autowired
    private StuProfessionMapper stuProfessionMapper;

    /**
     * 查询专业
     *
     * @param id 专业ID
     * @return 专业
     */
    @Override
    public StuProfession selectStuProfessionById(Long id)
    {
        return stuProfessionMapper.selectStuProfessionById(id);
    }

    /**
     * 查询专业列表
     *
     * @param stuProfession 专业
     * @return 专业
     */
    @Override
    public List<StuProfession> selectStuProfessionList(StuProfession stuProfession)
    {
        return stuProfessionMapper.selectStuProfessionList(stuProfession);
    }

    /**
     * 新增专业
     *
     * @param stuProfession 专业
     * @return 结果
     */
    @Override
    public int insertStuProfession(StuProfession stuProfession)
    {
        stuProfession.setCreateTime(DateUtils.getNowDate());
        return stuProfessionMapper.insertStuProfession(stuProfession);
    }

    /**
     * 修改专业
     *
     * @param stuProfession 专业
     * @return 结果
     */
    @Override
    public int updateStuProfession(StuProfession stuProfession)
    {
        stuProfession.setUpdateTime(DateUtils.getNowDate());
        return stuProfessionMapper.updateStuProfession(stuProfession);
    }

    /**
     * 批量删除专业
     *
     * @param ids 需要删除的专业ID
     * @return 结果
     */
    @Override
    public int deleteStuProfessionByIds(Long[] ids)
    {
        return stuProfessionMapper.deleteStuProfessionByIds(ids);
    }

    /**
     * 删除专业信息
     *
     * @param id 专业ID
     * @return 结果
     */
    @Override
    public int deleteStuProfessionById(Long id)
    {
        return stuProfessionMapper.deleteStuProfessionById(id);
    }

    /**
     * 根据科系id查询班级列表
     * @return
     */
    @Override
    public List<Map<String,Object>> queryList() {
        return stuProfessionMapper.queryList();
    }
}
